<?php
define( "JIEQI_MODULE_NAME", "system" );
define( "JIEQI_ADMIN_LOGIN", 1 );
require_once( "../global.php" );
include_once( JIEQI_ROOT_PATH."/class/power.php" );
include("../api/seo/configs.php" );
$power_handler =& jieqipowerhandler::getinstance( "JieqiPowerHandler" );
$power_handler->getsavedvars( "system" );
jieqi_checkpower( $jieqiPower['system']['adminpanel'], $jieqiUsersStatus, $jieqiUsersGroup, false, true );
include_once( JIEQI_ROOT_PATH."/admin/header.php" );
$jieqiTpl->assign( "jieqi_adminleft", JIEQI_URL."/admin/left.php" );
if ( !empty( $_SESSION['jieqiUserId'] ) )
{
    $jieqiTpl->assign( "username", jieqi_htmlstr( $_SESSION['jieqiUserName'] ) );
    $jieqiTpl->assign( "usergroup", $jieqiGroups[$_SESSION['jieqiUserGroup']] );
}
/**定义一个缓存方法，用来清理缓存**/
function jieqi_clean_pagecache()
{
    global $jieqiCache;
    global $jieqiModules;
    if (is_a($jieqiCache, 'JieqiCacheMemcached')|| is_a($jieqiCache, 'JieqiCacheRedis')) {
        $jieqiCache->clear(JIEQI_CACHE_PATH);
    } else {
        foreach ($jieqiModules as $mod) {
            $dirname = JIEQI_CACHE_PATH . $mod['dir'] . '/templates/admin';
            $handle = @opendir($dirname);
            while ($handle !== false && ($file = @readdir($handle)) !== false) {
                if ($file != '.' && $file != '..' && $file != 'blocks') {
                    if (is_dir($dirname . DIRECTORY_SEPARATOR . $file)) {
                        jieqi_delfolder($dirname . DIRECTORY_SEPARATOR . $file, true);
                    } else {
                        @unlink($dirname . DIRECTORY_SEPARATOR . $file);
                    }
                }
            }
            @closedir($handle);
        }
    }
}
jieqi_clean_pagecache();
//表单提交的新值
$napi="api='".$_REQUEST['api'];
$ntype="type='".$_REQUEST['type'];
$narticlenum="articlenum='".$_REQUEST['articlenum'];
$nchapternum="chapternum='".$_REQUEST['chapternum'];
//配置文件的旧值
$iapi="api='".$api;
$itype="type='".$type;
$iarticlenum="articlenum='".$articlenum;
$ichapternum="chapternum='".$chapternum;

$content = file_get_contents('../api/seo/configs.php');
if($_REQUEST['api']){
    $content =str_replace($iapi, $napi, $content);
}
if($_REQUEST['type']){
    $content =str_replace($itype, $ntype, $content);
}
if($_REQUEST['articlenum']){
    $content =str_replace($iarticlenum, $narticlenum, $content);
}
if($_REQUEST['chapternum']){
    $content =str_replace($ichapternum, $nchapternum, $content);
}
file_put_contents('../api/seo/configs.php', $content);
jieqi_msgwin(LANG_DO_SUCCESS, "主动推送，设置保存成功");
?>